
extends layout
block content


  script(src='https://code.jquery.com/jquery-2.2.4.min.js', integrity='sha256-BbhdlvQf/xTY9gja0Dq3HiwQF8LaCRTXxZKRutelT44=', crossorigin='anonymous')
  h2.text-center(style="color:#77AF9C font: 'Helvetica'" ) Find someone to light up with in San Francisco.
  br
  hr
  .row
    .col-md-12.text-center
      //-
        Collapsible-form button.
      button.btn.btn-success(type='button', data-toggle="collapse", data-target="#newStat") Create a smoke session
  br
  //- :; Form below     
  #newStat.collapse
    form(action='/newStatus', method='POST')
      input(type='hidden', name='_csrf', value=_csrf)
      .form-group
      .row
        .col-md-5.text-center
          label(for='title') Title:
          input.form-control(type='text', name='title', placeholder='Loner sesh, watch the sunset in GG park and toke up!')
          br
          label#looking_for(for='looking_for') What are you looking for?
                 select.form-control.text-center#looking_for(name='have_weed', placeholder='a smoking buddy')
                    option(value='true') I have weed and I'm looking for someone to smoke with.
          br
          br
          .form-group.has-danger
              label#removable(for='filler_loc') Neighborhood
              input#removable.form-control(type='text', name='filler_loc', placeholder="Outer Sunset, Nob Hill, Pier 39, Haight")
              small.form-text.text-muted(style='color:green') This is a filler location being displayed publicly. Do not give real location.

          .form-group.has-danger
            label.form-control-label(for='inputDanger1') Real location
            input#inputDanger1.form-control.form-control-danger(type='text', name="real_loc")
            small.form-text.text-muted(style='color:red') This is the real, private location that will be given to your guests.

          br
          .row
            .col-md-12
              label(for='people_wanted') Time:
                 select#removable.form-control.text-center(name='begin_time', placeholder='4:00pm')
                    option(value='12:00AM') 12:00 am
                    option(value='1:00am') 1:00 am
                    option(value='2:00AM') 2:00 am
                    option(value='3:00AM') 3:00 am
                    option(value='4:00AM') 4:00 am
                    option(value='5:00AM') 5:00 am
                    option(value='6:00AM') 6:00 am
                    option(value='7:00AM') 7:00 am
                    option(value='8:00AM') 8:00 am
                    option(value='9:00AM') 9:00 am
                    option(value='10:00AM') 10:00 am
                    option(value='11:00AM') 11:00 am
                    option(value='12:00PM') 12:00 pm
                    option(value='1:00PM') 1:00 pm
                    option(value='2:00PM') 2:00 pm
                    option(value='3:00PM') 3:00 pm
                    option(value='4:00PM') 4:00 pm
                    option(value='5:00PM') 5:00 pm
                    option(value='6:00PM') 6:00 pm
                    option(value='7:00PM') 7:00 pm
                    option(value='8:00PM') 8:00 pm
                    option(value='9:00PM') 9:00 pm
                    option(value='10:00PM') 10:00 pm
                    option(value='11:00PM') 11:00 pm

          br
          br
          label#removable(for='people_wanted') Purpose of this session?          
          textarea.form-control#removable(name='purpose', placeholder='I wanna get high.')
          br
          label(for='people_wanted') How many people do you want to smoke up?
          select.form-control#removable(name='people_wanted', placeholder='')

            option(value='1') 1 ( loner )
            option(value='2') 2 ( extrovert )
            option(value='3') 3 ( wanna have fun! )
            option(value='4') 4 ( let's do this! )
            option(value='5') 5 ( #flareitup)
            option(value='6') 6 ( #squad )
            option(value='7') 7 ( : D )
            option(value='8') 8 ( alpha si )
            option(value='9') 9 ( party)
            option(value='10') 10 ( Project X Party )
          br

        .col-md-5
          p.lead#removable Get high but be safe.
          p#looking_for Try not to meet at unsolicited places. Meet at solicited places like downtown, in-front of Walgreens or in a Cafe. Just somewhere populated! Especially at night. Also, remember it's your weed. Start the sesh when you want, end the sesh when you want. Make eachother happy. This is a city of love!

          p.lead#removable Location Recommendations:
          | Haight Ashbury (day or night)
          br
          | Golden Gate Park (day or night)
          br
          | Market St (day or night)
          br
          | Ocean Beach, Lands End (day-time only)
          br
          | Twin Peaks (day time only)
          br
          | The Castro (day or night)

          .row
           .col-md-12
            br
            
            br
      button.btn.btn-primary.text-center(type='submit') Smoke up!
      hr
      br
      br
  //- 
    ::: Here you can View Statuses.
  if status.length < 1
    h3(style="color:red").text-center There are currently no statuses :(

  for stat in status
    //- Creating variables.
    - var StatusCreator = stat.host
    - var CurrentUser = user.id
    - var CurrentStatus = stat.id
    .row
      .col-md-12
        .panel.panel-success
          .panel-heading
            //- Title
            h2.panel-title #{stat.title}  
              i.fa.fa-leaf(aria-hidden='true')
               //-  If the user owns the status, allow them to delete it.
              if StatusCreator == CurrentUser
                .row
                  .col-lg-12
                    form.form-inline(method='post', action='/deletestatus')
                      br
                      br
                      input(type='hidden', name='_csrf', value=_csrf)
                      input(type='hidden', name='post', value=stat.id )
                      input(type='hidden', name='userid', value=user.id )
                      - var sid = stat.id.toString()
                      #{sid}                      
                      button.form-control.pull-right(onclick="return confirm('Are you sure?')",type='submit')
                        i.fa.fa-times(aria-hidden='true')
              else
                //- just testing.

                //- 
                  OK, Here are the real statuses.     
          
          .panel-body
            .row
              .col-md-12
                p.lead #{stat.purpose}
                  a(href='/view_profile/' + StatusCreator) 
                    | - #{stat.hostname}
                  br
                  br
                  ul.ist-group
                  if stat.have_weed
                    li.list-group-item.biglist <b style="color:green">This person HAS WEED</b>.
                  else
                    li.list-group-item.biglist <b style="color:purple;">DOESN'T HAVE WEED</b>.
                  li.list-group-item People Wanted: #{ stat.peopleWanted}
                  li.list-group-item <b>Location: #{ stat.real_location}</b>
                  li.list-group-item Time:  #{ stat.begin_time}
                .col-md-6
                  if user.statusLiked.length > env.NumberOfLikes
                    br
                    h5(style='color:orange') You have liked more than #{env.NumberOfLikes} statuses today already.
                  //- * EXPLANATION for the code below: 
                      Inside the user object is a property: [statusLiked] which is an array of 
                      Statuses that the user liked. We're looping over each element in the array and
                      checking if any of those ID's match the current status ID. If so, the user liked it already
                      and we show an UnLike button and hide the LikeButton.
                  each PostID in user.statusLiked
                    if PostID == CurrentStatus
                       form(action='/unliked', method='POST')
                        input(type='hidden', name='_csrf', value=_csrf)
                        input(type='hidden', name='statid', value=stat.id)
                        button.btn.btn-warning(type='submit', value=stat.id)
                          i.fa.fa-thumbs-o-up(aria-hidden='true')|  
                          | Unlike
                          //- End of conditionals.
                       script.
                          $(document).ready(function() {
                                $('.dohide').hide();
                            });
                  //- This is checking if the Status Creator's ID (def:ln 120) matches the Current logged in User ID.
                      If true, the user owns the status. Else, they don't.
                  if StatusCreator == CurrentUser
                    br
                    h5(style='color:orange') This is your status.
                  else
                    //- Show the 'I'm interested button' and allow the user to like it.
                    form(action='/liked', method='post')
                      input(type='hidden', name='_csrf', value=_csrf)
                      input(type='hidden', name='statid', value=stat.id)
                      input(type='hidden', name='userid', value=user.id)
                      button.dohide.btn.btn-warning(type='submit', value=stat.id)
                        i.fa.fa-thumbs-o-up(aria-hidden='true')|  
                        | I'm interested 
                      br
                      br
                      //- Explain: I want the user to know how many people has liked the status.
                          Loop through every element (PostID) in user.statusLiked array.
                            If the PostID matches the currentstatus ID ( meaning the user has liked it already):
                                  Show the amount of users that liked the status and subtract -1. Why? because that 1 is the USER!
                            If it doesn't match ( user has not liked it already): 
                                  Show the legit amount of users that liked the status.
                      each Post in user.statusLiked
                      
                        if Post == CurrentStatus 
                          p <b>#{stat.peopleInt.length-1}</b>&nbsp;other people want to go.
                        else
                          p <b>#{stat.peopleInt.length}</b>&nbsp;other people want to go.
                        
